
package PresentationLayers;

import BusinessLogicLayers.ChuyenLopBLL;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Toolkit;
import javax.swing.ImageIcon;


public class FrmChuyenLop extends javax.swing.JPanel {

    private ChuyenLopBLL chuyenlop;
    
    public FrmChuyenLop(ChuyenLopBLL chuyenlop) {
        initComponents();
        
        this.chuyenlop=chuyenlop;
        Init();
        
        
        chuyenlop.AddComboxBoxNamHocCu(cbbnamhoccu);
        chuyenlop.AddComboxBoxLopHocCu(cbblopcu);
        chuyenlop.AddComboxBoxNamHocMoi(cbbnamhocmoi);
        chuyenlop.AddComboxBoxLopHocMoi(cbblopmoi);
        chuyenlop.AddComboBoxHocKi(cbbhocki);
        chuyenlop.setTable(tablelopcu, tablelopmoi);
        chuyenlop.InsertTableLopCu();
        chuyenlop.InsertTableLopMoi();
        
    }
    
    private void Init()
    {
        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        pnltopl.setBounds(1, 0, screenSize.width/2-40, 106);
        pnltopr.setBounds(screenSize.width/2+40, 0, screenSize.width/2+40, 106);
        pnltablehocsinh.setBounds(1, 106, screenSize.width/2-40, screenSize.height);
        pnltablelop.setBounds(screenSize.width/2+40, 106, screenSize.width/2+40, screenSize.height);
        pnlcenter.setBounds(screenSize.width/2-40, 0, 80, screenSize.height);
        lbchuyen.setBounds(13, 130, 57, 58);
        lbxoa.setBounds(13, 195, 57, 58);
        lbchuyen.setHorizontalAlignment(lbchuyen.CENTER);
        lbxoa.setHorizontalAlignment(lbxoa.CENTER);
        lbxoa.setIcon(new javax.swing.ImageIcon(getClass().getResource("/PresentationLayers/Images/chuyenhsnguoc.png")));
        lbxoa.setToolTipText("Chuyển Học Sinh");
        lbchuyen.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                chuyenlop.ChuyenHocSinh();
            }
        });
        lbxoa.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                chuyenlop.ChuyenHS();
            }
        });
    }
    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        pnlbg = new javax.swing.JPanel();
        pnltopl = new javax.swing.JPanel(){
            public void paintComponent(Graphics g){

                ImageIcon icon=new ImageIcon(getClass().getResource("/PresentationLayers/Images/bg6.png"));

                g.drawImage(icon.getImage(),0 , 0, this.getWidth(), 106, null);
                setOpaque(false);
                super.paintComponent(g);
            }
        };
        jLabel3 = new javax.swing.JLabel();
        cbbnamhoccu = new javax.swing.JComboBox();
        jLabel4 = new javax.swing.JLabel();
        cbblopcu = new javax.swing.JComboBox();
        pnltopr = new javax.swing.JPanel(){
            public void paintComponent(Graphics g){

                ImageIcon icon=new ImageIcon(getClass().getResource("/PresentationLayers/Images/bg6.png"));

                g.drawImage(icon.getImage(),0 , 0, this.getWidth(), 106, null);
                setOpaque(false);
                super.paintComponent(g);
            }
        };
        jLabel1 = new javax.swing.JLabel();
        cbbnamhocmoi = new javax.swing.JComboBox();
        jLabel2 = new javax.swing.JLabel();
        cbblopmoi = new javax.swing.JComboBox();
        jLabel5 = new javax.swing.JLabel();
        cbbhocki = new javax.swing.JComboBox();
        pnltablehocsinh = new javax.swing.JPanel();
        jScrollPane2 = new javax.swing.JScrollPane();
        tablelopcu = new javax.swing.JTable();
        pnltablelop = new javax.swing.JPanel();
        jScrollPane1 = new javax.swing.JScrollPane();
        tablelopmoi = new javax.swing.JTable();
        pnlcenter = new javax.swing.JPanel(){
            public void paintComponent(Graphics g){

                ImageIcon icon=new ImageIcon(getClass().getResource("/PresentationLayers/Images/bg7.png"));

                g.drawImage(icon.getImage(),0 , 0, 80, this.getHeight(), null);
                setOpaque(false);
                super.paintComponent(g);
            }
        };
        lbchuyen = new javax.swing.JLabel();
        lbxoa = new javax.swing.JLabel();

        pnlbg.setLayout(null);

        pnltopl.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(102, 153, 255), 1, true));

        jLabel3.setText("Năm Học:");

        cbbnamhoccu.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cbbnamhoccuActionPerformed(evt);
            }
        });

        jLabel4.setText("Lớp:");

        cbblopcu.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cbblopcuActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout pnltoplLayout = new javax.swing.GroupLayout(pnltopl);
        pnltopl.setLayout(pnltoplLayout);
        pnltoplLayout.setHorizontalGroup(
            pnltoplLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pnltoplLayout.createSequentialGroup()
                .addGap(32, 32, 32)
                .addGroup(pnltoplLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel3)
                    .addComponent(jLabel4))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(pnltoplLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(cbbnamhoccu, 0, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(cbblopcu, javax.swing.GroupLayout.PREFERRED_SIZE, 152, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(38, Short.MAX_VALUE))
        );
        pnltoplLayout.setVerticalGroup(
            pnltoplLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pnltoplLayout.createSequentialGroup()
                .addGap(19, 19, 19)
                .addGroup(pnltoplLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel3)
                    .addComponent(cbbnamhoccu, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(pnltoplLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel4)
                    .addComponent(cbblopcu, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(27, Short.MAX_VALUE))
        );

        pnlbg.add(pnltopl);
        pnltopl.setBounds(10, 0, 280, 106);

        pnltopr.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(51, 102, 255), 1, true));

        jLabel1.setText("Năm Học:");

        cbbnamhocmoi.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cbbnamhocmoiActionPerformed(evt);
            }
        });

        jLabel2.setText("Lớp:");

        cbblopmoi.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cbblopmoiActionPerformed(evt);
            }
        });

        jLabel5.setText("Học Kì:");

        javax.swing.GroupLayout pnltoprLayout = new javax.swing.GroupLayout(pnltopr);
        pnltopr.setLayout(pnltoprLayout);
        pnltoprLayout.setHorizontalGroup(
            pnltoprLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pnltoprLayout.createSequentialGroup()
                .addGap(30, 30, 30)
                .addGroup(pnltoprLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel1)
                    .addComponent(jLabel2)
                    .addComponent(jLabel5))
                .addGap(18, 18, 18)
                .addGroup(pnltoprLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(cbbnamhocmoi, 0, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(cbblopmoi, 0, 165, Short.MAX_VALUE)
                    .addComponent(cbbhocki, 0, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap(39, Short.MAX_VALUE))
        );
        pnltoprLayout.setVerticalGroup(
            pnltoprLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pnltoprLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(pnltoprLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1)
                    .addComponent(cbbnamhocmoi, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGroup(pnltoprLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel5)
                    .addComponent(cbbhocki, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(pnltoprLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(cbblopmoi, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel2))
                .addGap(21, 21, 21))
        );

        pnlbg.add(pnltopr);
        pnltopr.setBounds(360, 0, 300, 111);

        pnltablehocsinh.setBackground(new java.awt.Color(255, 255, 255));
        pnltablehocsinh.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(51, 102, 255)));

        tablelopcu.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null},
                {null, null},
                {null, null},
                {null, null}
            },
            new String [] {
                "Mã Học Sinh", "Tên Học Sinh"
            }
        ));
        jScrollPane2.setViewportView(tablelopcu);

        javax.swing.GroupLayout pnltablehocsinhLayout = new javax.swing.GroupLayout(pnltablehocsinh);
        pnltablehocsinh.setLayout(pnltablehocsinhLayout);
        pnltablehocsinhLayout.setHorizontalGroup(
            pnltablehocsinhLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane2, javax.swing.GroupLayout.DEFAULT_SIZE, 288, Short.MAX_VALUE)
        );
        pnltablehocsinhLayout.setVerticalGroup(
            pnltablehocsinhLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane2, javax.swing.GroupLayout.DEFAULT_SIZE, 158, Short.MAX_VALUE)
        );

        pnlbg.add(pnltablehocsinh);
        pnltablehocsinh.setBounds(10, 130, 290, 160);

        pnltablelop.setBackground(new java.awt.Color(255, 255, 255));
        pnltablelop.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(51, 153, 255)));

        tablelopmoi.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null},
                {null, null},
                {null, null},
                {null, null}
            },
            new String [] {
                "Mã Học Sinh", "Tên Học Sinh"
            }
        ));
        jScrollPane1.setViewportView(tablelopmoi);

        javax.swing.GroupLayout pnltablelopLayout = new javax.swing.GroupLayout(pnltablelop);
        pnltablelop.setLayout(pnltablelopLayout);
        pnltablelopLayout.setHorizontalGroup(
            pnltablelopLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane1, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 268, Short.MAX_VALUE)
        );
        pnltablelopLayout.setVerticalGroup(
            pnltablelopLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 158, Short.MAX_VALUE)
        );

        pnlbg.add(pnltablelop);
        pnltablelop.setBounds(360, 130, 270, 160);

        pnlcenter.setLayout(null);

        lbchuyen.setIcon(new javax.swing.ImageIcon(getClass().getResource("/PresentationLayers/Images/chuyenhs.png"))); // NOI18N
        lbchuyen.setToolTipText("Chuyễn Học Sinh Vào Lớp");
        lbchuyen.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        lbchuyen.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                lbchuyenMouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                lbchuyenMouseExited(evt);
            }
        });
        pnlcenter.add(lbchuyen);
        lbchuyen.setBounds(240, 380, 40, 40);

        lbxoa.setIcon(new javax.swing.ImageIcon(getClass().getResource("/PresentationLayers/Images/xoahs.png"))); // NOI18N
        lbxoa.setToolTipText("Xóa Học Sinh Khỏi Lớp");
        lbxoa.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        lbxoa.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                lbxoaMouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                lbxoaMouseExited(evt);
            }
        });
        pnlcenter.add(lbxoa);
        lbxoa.setBounds(200, 370, 40, 40);

        pnlbg.add(pnlcenter);
        pnlcenter.setBounds(420, 330, 110, 170);

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(pnlbg, javax.swing.GroupLayout.DEFAULT_SIZE, 762, Short.MAX_VALUE)
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(pnlbg, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 529, Short.MAX_VALUE)
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 762, Short.MAX_VALUE)
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 529, Short.MAX_VALUE)
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents

    private void lbchuyenMouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_lbchuyenMouseEntered
        lbchuyen.setIcon(new javax.swing.ImageIcon(getClass().getResource("/PresentationLayers/Images/chuyenhshover.png")));
    }//GEN-LAST:event_lbchuyenMouseEntered

    private void lbchuyenMouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_lbchuyenMouseExited
        lbchuyen.setIcon(new javax.swing.ImageIcon(getClass().getResource("/PresentationLayers/Images/chuyenhs.png")));
    }//GEN-LAST:event_lbchuyenMouseExited

    private void lbxoaMouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_lbxoaMouseEntered
        lbxoa.setIcon(new javax.swing.ImageIcon(getClass().getResource("/PresentationLayers/Images/chuyenhshovernguoc.png")));
    }//GEN-LAST:event_lbxoaMouseEntered

    private void lbxoaMouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_lbxoaMouseExited
        lbxoa.setIcon(new javax.swing.ImageIcon(getClass().getResource("/PresentationLayers/Images/chuyenhsnguoc.png")));
    }//GEN-LAST:event_lbxoaMouseExited

    private void cbbnamhoccuActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cbbnamhoccuActionPerformed
        try { 
            chuyenlop.AddComboxBoxLopHocCu(cbblopcu);
        } catch (Exception e) {
        }
    }//GEN-LAST:event_cbbnamhoccuActionPerformed

    private void cbbnamhocmoiActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cbbnamhocmoiActionPerformed
        try { 
            chuyenlop.AddComboxBoxLopHocMoi(cbblopmoi);
        } catch (Exception e) {
        }
    }//GEN-LAST:event_cbbnamhocmoiActionPerformed

    private void cbblopcuActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cbblopcuActionPerformed
        try
        {
            chuyenlop.InsertTableLopCu();
        }
        catch(Exception ex)
        {
            
        }
    }//GEN-LAST:event_cbblopcuActionPerformed

    private void cbblopmoiActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cbblopmoiActionPerformed
        try
        {
            chuyenlop.InsertTableLopMoi();
        }
        catch(Exception ex)
        {
            
        }
    }//GEN-LAST:event_cbblopmoiActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JComboBox cbbhocki;
    private javax.swing.JComboBox cbblopcu;
    private javax.swing.JComboBox cbblopmoi;
    private javax.swing.JComboBox cbbnamhoccu;
    private javax.swing.JComboBox cbbnamhocmoi;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JLabel lbchuyen;
    private javax.swing.JLabel lbxoa;
    private javax.swing.JPanel pnlbg;
    private javax.swing.JPanel pnlcenter;
    private javax.swing.JPanel pnltablehocsinh;
    private javax.swing.JPanel pnltablelop;
    private javax.swing.JPanel pnltopl;
    private javax.swing.JPanel pnltopr;
    private javax.swing.JTable tablelopcu;
    private javax.swing.JTable tablelopmoi;
    // End of variables declaration//GEN-END:variables
}
